package betterwithmods.client.container.anvil;

import betterwithmods.common.BWRegistry;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.inventory.SlotCrafting;
import net.minecraft.item.ItemStack;
import net.minecraft.util.NonNullList;

import javax.annotation.Nonnull;

/**
 * Created by blueyu2 on 11/23/16.
 */
public class SlotSteelAnvilCrafting extends SlotCrafting {

    private final InventoryCrafting craftMatrix;
    private final EntityPlayer thePlayer;

    public SlotSteelAnvilCrafting(EntityPlayer player, InventoryCrafting craftingInventory, IInventory inventoryIn, int slotIndex, int xPosition, int yPosition) {
        super(player, craftingInventory, inventoryIn, slotIndex, xPosition, yPosition);
        this.thePlayer = player;
        this.craftMatrix = craftingInventory;
    }


    @Nonnull
    @Override
    public ItemStack func_190901_a(EntityPlayer playerIn, @Nonnull ItemStack stack) {
        net.minecraftforge.fml.common.FMLCommonHandler.instance().firePlayerCraftingEvent(playerIn, stack, craftMatrix);
        this.func_75208_c(stack);
        net.minecraftforge.common.ForgeHooks.setCraftingPlayer(playerIn);
        NonNullList<ItemStack> aitemstack = BWRegistry.ANVIL.getRemainingItems(this.craftMatrix, playerIn.func_130014_f_());
        net.minecraftforge.common.ForgeHooks.setCraftingPlayer(null);

        for (int i = 0; i < aitemstack.size(); ++i) {
            ItemStack itemstack = this.craftMatrix.func_70301_a(i);
            ItemStack itemstack1 = aitemstack.get(i);

            if (!itemstack.func_190926_b()) {
                this.craftMatrix.func_70298_a(i, 1);
                itemstack = this.craftMatrix.func_70301_a(i);
            }

            if (!itemstack1.func_190926_b()) {
                if (itemstack.func_190926_b()) {
                    this.craftMatrix.func_70299_a(i, itemstack1);
                } else if (ItemStack.func_179545_c(itemstack, itemstack1) && ItemStack.func_77970_a(itemstack, itemstack1)) {
                    itemstack1.func_190917_f(itemstack.func_190916_E());
                    this.craftMatrix.func_70299_a(i, itemstack1);
                } else if (!this.thePlayer.field_71071_by.func_70441_a(itemstack1)) {
                    this.thePlayer.func_71019_a(itemstack1, false);
                }
            }
        }
        return stack;
    }
}
