package betterwithmods.client.container.inventory;

import betterwithmods.common.BWRegistry;
import betterwithmods.common.blocks.tile.TileSteelAnvil;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraftforge.items.ItemStackHandler;

public class ItemCraftHandler extends ItemStackHandler {

    public InventoryCrafting crafting;
    private final TileSteelAnvil te;

    public ItemCraftHandler(int size, TileSteelAnvil te) {
        super(size);
        this.te = te;
    }

    @Override
    protected void onContentsChanged(int slot) {
        if (crafting != null)
            te.setResult(BWRegistry.ANVIL.findMatchingResult(this.crafting, te.func_145831_w()));
        super.onContentsChanged(slot);
    }
}
