package betterwithmods.module.hardcore.creatures;

import net.minecraft.entity.EntityLiving;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.ai.EntityAIBase;
import net.minecraft.entity.player.EntityPlayer;

public class AIGrab extends EntityAIBase {

    public final EntityLiving rider;
    public EntityLivingBase target;
    public EntityTentacle tentacle;
    private final int min;
    private final int max;
    private int ticks; //, cooldown;

    public AIGrab(EntityLiving rider, int min, int max) {
        this.rider = rider;
        this.min = min;
        this.max = max;
    }

    @Override
    public void func_75251_c() {
        if(tentacle != null)
            tentacle.func_70106_y();
    }

    @Override
    public void func_75249_e() {
        if(tentacle != null)
            tentacle.func_70106_y();
    }

    @Override
    public boolean func_75250_a() {
        if (rider == null || rider.func_184218_aH())
            return false;
        target = rider.func_70638_az();
        if (target == null || (target instanceof EntityPlayer && ((EntityPlayer) target).func_184812_l_()) || !(rider.func_70635_at().func_75522_a(target)))
            return false;

        double distance = rider.func_70068_e(target);
        return !rider.func_184218_aH() && distance > min * min && distance < max * max;
    }

    @Override
    public boolean func_75253_b() {
        return super.func_75253_b();
    }

    @Override
    public void func_75246_d() {
        if (rider.field_70170_p.field_72995_K)
            return;
        if (!target.func_184207_aI()) {

            if(tentacle == null) {

//                cooldown++;
//                if(cooldown > 40)
//                    cooldown = 0;
//                else
//                    return;

                tentacle = new EntityTentacle(rider.field_70170_p, rider);
                rider.field_70170_p.func_72838_d(tentacle);
            } else {
                ticks++;
                if(ticks > 10) {
                    tentacle.handleHookRetraction();
                    tentacle.func_70106_y();
                    tentacle = null;
                    ticks = 0;
                }
            }

        }
    }

}
