package betterwithmods.client.container.anvil;

import betterwithmods.common.blocks.tile.TileSteelAnvil;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.InventoryCrafting;
import net.minecraft.item.ItemStack;
import net.minecraftforge.items.IItemHandler;

import javax.annotation.Nonnull;

public class InventorySteelCrafting extends InventoryCrafting {

    public final TileSteelAnvil craft;
    public final Container container;
    private final IItemHandler handler;

    public InventorySteelCrafting(Container container, TileSteelAnvil te) {
        super(container, 4, 4);
        craft = te;
        handler = te.inventory;
        this.container = container;
    }


    @Nonnull
    @Override
    public ItemStack func_70301_a(int slot) {
        return slot >= this.func_70302_i_() ? ItemStack.field_190927_a : handler.getStackInSlot(slot);
    }

    @Nonnull
    @Override
    public ItemStack func_70463_b(int row, int column) {
        if (row >= 0 && row < 4) {
            int x = row + column * 4;
            return this.func_70301_a(x);
        } else {
            return ItemStack.field_190927_a;
        }
    }

    @Nonnull
    @Override
    public ItemStack func_70298_a(int slot, int decrement) {
        ItemStack stack = handler.getStackInSlot(slot);
        this.container.func_75130_a(this);
        ItemStack itemstack;
        if (stack.func_190916_E() <= decrement) {
            itemstack = stack.func_77946_l();
            craft.setInventorySlotContents(slot, ItemStack.field_190927_a);
            this.container.func_75130_a(this);
            return itemstack;
        } else {
            itemstack = stack.func_77979_a(decrement);
            if (stack.func_190916_E() == 0) {
                craft.setInventorySlotContents(slot, ItemStack.field_190927_a);
            }
            this.container.func_75130_a(this);
            return itemstack;
        }
    }

//    public void craft() {
//        for (int i = 0; i < handler.getSlots(); i++) {
//            if (!handler.getStackInSlot(i).isEmpty()) {
//                handler.extractItem(i, 1, false);
//            }
//        }
//        this.container.onCraftMatrixChanged(this);
//    }

    @Override
    public void func_70299_a(int slot, @Nonnull ItemStack itemstack) {
        craft.setInventorySlotContents(slot, itemstack);
        this.container.func_75130_a(this);
    }

}
